about summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <normalperson@yhbt.net>2010-06-03 23:14:23 +0000
committerEric Wong <normalperson@yhbt.net>2010-06-03 23:14:23 +0000
commit8e78b8a815c2fafcf9428c30a0961932132d790f (patch)
tree2a54b2931eee37edb3fa5a9c49944a7be64136b0
parent45266fe79c8928931d032b3c20044938bb0f1104 (diff)
downloadunicorn-8e78b8a815c2fafcf9428c30a0961932132d790f.tar.gz
should be safe enough...
-rwxr-xr-xt/t0300-rails3-basic.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/t/t0300-rails3-basic.sh b/t/t0300-rails3-basic.sh
index ebc6317..c20ceef 100755
--- a/t/t0300-rails3-basic.sh
+++ b/t/t0300-rails3-basic.sh
@@ -14,9 +14,10 @@ esac
 arch_gems=../tmp/isolate/ruby-$RUBY_VERSION/gems
 rails_gems=../tmp/isolate/rails-$RAILS_VERSION/gems
 rails_bin="$rails_gems/rails-$RAILS_VERSION/bin/rails"
-test -d "$arch_gems" || die "$arch_gems non existent, run '$RAKE isolate'"
-test -d "$rails_gems" || die "$rails_gems non existent, run '$RAKE isolate'"
-test -x "$rails_bin" || die "$rails_bin not found, run '$RAKE isolate'"
+if ! test -d "$arch_gems" || ! test -d "$rails_gems" || ! test -x "$rails_bin"
+then
+        ( cd ../ && $RAKE isolate )
+fi
 
 for i in $arch_gems/*-* $rails_gems/*-*
 do